### Enumeration

# GLib OnceStatus

since: 2.4

#### Declaration

    enum GLib.OnceStatus

#### Description [src]

The possible statuses of a one-time initialization function controlled by a `GOnce` struct.

Available since: 2.4

#### Members

Name | Description
--- | ---
`G_ONCE_STATUS_NOTCALLED` | The function has not been called yet.
`G_ONCE_STATUS_PROGRESS` | The function call is currently in progress.
`G_ONCE_STATUS_READY` | The function has been called.